package me.akito123321.valoStrats;

import java.io.IOException;
import java.util.Properties;

import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;

@SpringBootApplication
public class ValoStratsApplication {
	
	public static Config config;

	public static void main(String[] args) throws IOException {
		config = Config.loadConfig("config.json");

		Properties props = new Properties();
		props.put("spring.jpa.generate-ddl", true);

		new SpringApplicationBuilder(ValoStratsApplication.class)
			.properties(props)
			.build()
			.run(args);
	}
	
}
