package me.akito123321.valoStrats.db;

import org.springframework.security.core.authority.SimpleGrantedAuthority;

import jakarta.persistence.AttributeConverter;
import jakarta.persistence.Converter;

@Converter
public class SimpleGrantedAuthorityConverter implements AttributeConverter<SimpleGrantedAuthority, String> {

	@Override
	public String convertToDatabaseColumn(SimpleGrantedAuthority attribute) {
		return attribute.getAuthority();
	}

	@Override
	public SimpleGrantedAuthority convertToEntityAttribute(String dbData) {
		return new SimpleGrantedAuthority(dbData);
	}

}
