package me.akito123321.valoStrats.rest.controller;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import me.akito123321.valoStrats.Config;
import me.akito123321.valoStrats.ValoStratsApplication;
import me.akito123321.valoStrats.rest.ConfigResponse;

@RestController
@RequestMapping("/api/config")
public class ConfigController {

	@GetMapping
	public ResponseEntity<ConfigResponse> getConfig() {
		Config config = ValoStratsApplication.config;
		return ResponseEntity.ok(new ConfigResponse(config.clientId(), config.redirect_url()));
	}
}
