package me.akito123321.valoStrats.rest.oauth2;

import com.google.gson.JsonObject;

import retrofit2.Call;
import retrofit2.http.Field;
import retrofit2.http.FormUrlEncoded;
import retrofit2.http.Header;
import retrofit2.http.POST;

public interface GoogleService {

	@POST("https://oauth2.googleapis.com/token")
	@FormUrlEncoded
	public Call<JsonObject> getAuthorizationToken(
		@Field("client_id") String client_id,
		@Field("client_secret") String client_secret,
		@Field("code") String code,
		@Field("grant_type") String grant_type,
		@Field("redirect_uri") String redirect_uri);

	@POST("https://www.googleapis.com/oauth2/v3/userinfo")
	public Call<JsonObject> getUserInfo(@Header("Authorization") String token);
}
