package me.akito123321.valoStrats.rest.services;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import me.akito123321.valoStrats.db.repositories.MapRepository;
import me.akito123321.valoStrats.schemas.Map;

@Service
public class MapService {
	
	@Autowired
	private MapRepository mapRepository;

	public Map getMapById(String id) {
		return mapRepository.findById(id).orElse(null);
	}

	public void saveMap(Map map) {
		mapRepository.save(map);
	}
	
	public void removeMap(Map map) {
		mapRepository.delete(map);
	}
	
}
