package me.akito123321.valoStrats.rest.services;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import me.akito123321.valoStrats.db.repositories.StratRepository;
import me.akito123321.valoStrats.schemas.Strat;

@Service
public class StratService {

	@Autowired
	private StratRepository stratRepository;

	public Strat getStratById(String id) {
		return stratRepository.findById(id).orElse(null);
	}

	public void saveStrat(Strat strat) {
		stratRepository.save(strat);
	}
	
	public void removeStrat(Strat strat) {
		stratRepository.delete(strat);
	}

}
